FieldTypes.h File Reference
`#include "Utility.h"`
`#include <string>`
`#include <time.h>`
Include dependency graph for FieldTypes.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | FIX::DateTime
| Date and Time stored as a Julian day number and number of milliseconds since midnight. More...
class | FIX::UtcTimeStamp
| Date and Time represented in UTC. More...
class | FIX::LocalTimeStamp
| Date and Time represented in local time. More...
class | FIX::UtcTimeOnly
| Time only represented in UTC. More...
class | FIX::LocalTimeOnly
| Time only represented in local time. More...
class | FIX::UtcDate
| Date only represented in UTC. More...
class | FIX::LocalDate
| Date only represented in local time. More...

## Namespaces

| FIX
| FIX::TYPE

## Typedefs

typedef UtcDate | FIX::UtcDateOnly
typedef std::string | FIX::STRING
typedef char | FIX::CHAR
typedef double | FIX::PRICE
typedef int | FIX::INT
typedef double | FIX::AMT
typedef double | FIX::QTY
typedef std::string | FIX::CURRENCY
typedef std::string | FIX::MULTIPLEVALUESTRING
typedef std::string | FIX::MULTIPLESTRINGVALUE
typedef std::string | FIX::MULTIPLECHARVALUE
typedef std::string | FIX::EXCHANGE
typedef UtcTimeStamp | FIX::UTCTIMESTAMP
typedef bool | FIX::BOOLEAN
typedef std::string | FIX::LOCALMKTDATE
typedef std::string | FIX::DATA
typedef double | FIX::FLOAT
typedef double | FIX::PRICEOFFSET
typedef std::string | FIX::MONTHYEAR
typedef std::string | FIX::DAYOFMONTH
typedef UtcDate | FIX::UTCDATE
typedef UtcDateOnly | FIX::UTCDATEONLY
typedef UtcTimeOnly | FIX::UTCTIMEONLY
typedef int | FIX::NUMINGROUP
typedef double | FIX::PERCENTAGE
typedef int | FIX::SEQNUM
typedef int | FIX::LENGTH
typedef std::string | FIX::COUNTRY
typedef std::string | FIX::TZTIMEONLY
typedef std::string | FIX::TZTIMESTAMP
typedef std::string | FIX::XMLDATA
typedef std::string | FIX::LANGUAGE

## Enumerations

enum

FIX::TYPE::Type {
FIX::TYPE::Unknown, FIX::TYPE::String, FIX::TYPE::Char, FIX::TYPE::Price,
FIX::TYPE::Int, FIX::TYPE::Amt, FIX::TYPE::Qty, FIX::TYPE::Currency,
FIX::TYPE::MultipleValueString, FIX::TYPE::MultipleStringValue, FIX::TYPE::MultipleCharValue, FIX::TYPE::Exchange,
FIX::TYPE::UtcTimeStamp, FIX::TYPE::Boolean, FIX::TYPE::LocalMktDate, FIX::TYPE::Data,
FIX::TYPE::Float, FIX::TYPE::PriceOffset, FIX::TYPE::MonthYear, FIX::TYPE::DayOfMonth,
FIX::TYPE::UtcDate, FIX::TYPE::UtcDateOnly = UtcDate, FIX::TYPE::UtcTimeOnly, FIX::TYPE::NumInGroup,
FIX::TYPE::Percentage, FIX::TYPE::SeqNum, FIX::TYPE::Length, FIX::TYPE::Country,
FIX::TYPE::TzTimeOnly, FIX::TYPE::TzTimeStamp, FIX::TYPE::XmlData, FIX::TYPE::Language
}

## Functions

bool | FIX::operator== (const DateTime &lhs, const DateTime &rhs)
bool | FIX::operator!= (const DateTime &lhs, const DateTime &rhs)
bool | FIX::operator< (const DateTime &lhs, const DateTime &rhs)
bool | FIX::operator> (const DateTime &lhs, const DateTime &rhs)
bool | FIX::operator<= (const DateTime &lhs, const DateTime &rhs)
bool | FIX::operator>= (const DateTime &lhs, const DateTime &rhs)
int | FIX::operator- (const DateTime &lhs, const DateTime &rhs)
| Calculate the difference between two DateTime values and return the result as a number of seconds. More...